com.hazelcast.org.snakeyaml.engine.v1.api

## Class DumpSettings

- java.lang.Object
- - com.hazelcast.org.snakeyaml.engine.v1.api.DumpSettings

-     public final class DumpSettings
      extends Object

  Fine tuning serializing/dumping Description for all the fields can be found in the builder

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnchorGenerator` | `getAnchorGenerator()`
    `String` | `getBestLineBreak()`
    `FlowStyle` | `getDefaultFlowStyle()`
    `ScalarStyle` | `getDefaultScalarStyle()`
    `Optional<Tag>` | `getExplicitRootTag()`
    `int` | `getIndent()`
    `int` | `getIndicatorIndent()`
    `ScalarResolver` | `getScalarResolver()`
    `Map<String,String>` | `getTagDirective()`
    `int` | `getWidth()`
    `Optional<SpecVersion>` | `getYamlDirective()`
    `boolean` | `isCanonical()`
    `boolean` | `isExplicitEnd()`
    `boolean` | `isExplicitStart()`
    `boolean` | `isMultiLineFlow()`
    `boolean` | `isSplitLines()`
    `boolean` | `isUseUnicodeEncoding()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getDefaultFlowStyle

          public FlowStyle getDefaultFlowStyle()

    - #### getDefaultScalarStyle

          public ScalarStyle getDefaultScalarStyle()

    - #### isExplicitStart

          public boolean isExplicitStart()

    - #### getAnchorGenerator

          public AnchorGenerator getAnchorGenerator()

    - #### getScalarResolver

          public ScalarResolver getScalarResolver()

    - #### isExplicitEnd

          public boolean isExplicitEnd()

    - #### getExplicitRootTag

          public Optional<Tag> getExplicitRootTag()

    - #### getYamlDirective

          public Optional<SpecVersion> getYamlDirective()

    - #### getTagDirective

          public Map<String,String> getTagDirective()

    - #### isCanonical

          public boolean isCanonical()

    - #### isMultiLineFlow

          public boolean isMultiLineFlow()

    - #### isUseUnicodeEncoding

          public boolean isUseUnicodeEncoding()

    - #### getIndent

          public int getIndent()

    - #### getIndicatorIndent

          public int getIndicatorIndent()

    - #### getWidth

          public int getWidth()

    - #### getBestLineBreak

          public String getBestLineBreak()

    - #### isSplitLines

          public boolean isSplitLines()

Copyright © 2020. All rights reserved.